import request from '@/utils/request'

// 查询平台用户列表
export function listUsers(query) {
  return request({
    url: '/tuya/tuyausers/list',
    method: 'get',
    params: query
  })
}

// 查询平台用户详细
export function getUsers(id) {
  return request({
    url: '/tuya/tuyausers/' + id,
    method: 'get'
  })
}

// 新增平台用户
export function addUsers(data) {
  return request({
    url: '/tuya/tuyausers',
    method: 'post',
    data: data
  })
}

// 修改平台用户
export function updateUsers(data) {
  return request({
    url: '/tuya/tuyausers',
    method: 'put',
    data: data
  })
}

// 删除平台用户
export function delUsers(id) {
  return request({
    url: '/tuya/tuyausers/' + id,
    method: 'delete'
  })
}
